extends Control

signal any_key_pressed

func _ready():
	print("PressAnyKeyScreen ready")
	update_text()

func _input(event):
	if event.is_action_pressed("any_key") or event is InputEventScreenTouch:
		print("Any key pressed: ", event)
		any_key_pressed.emit()
		get_viewport().set_input_as_handled()

func update_text():
	$PressKeyContainer/PressKeyLabel.text = tr("press_ok_continue")
